<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />

<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 3) {
    $pagetitle = "3oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>

<!--  MENU  -->

<div id="templatemo_menu_wrapper">

      <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="sxoleia.php" target="_parent"><span></span>Σχολεία</a></li>
            <li><a href="sxolstel.php" target="_parent"><span></span>Απολογισμός Εκπαίδευσης</a>                     
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
          <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="sxoleia.php" target="_parent"><span></span>Σχολεία</a></li>
            <li><a href="sxolstel.php" target="_parent"><span></span>Απολογισμός Εκπαίδευσης</a>                     
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
    <?php
    require_once ('../../mysqli_connect.php');
    echo '<h1>Επεξεργαστείτε τον απολόγισμό του Σχολείου Εκπαίδευσης!</h1>';
    if ((isset($_GET['aa'])) && (is_numeric($_GET['aa']))) {
        $aa= $_GET['aa'];
    } elseif ((isset($_POST['aa'])) && (is_numeric($_POST['aa']))) {
        $aa = $_POST['aa'];
    } else {
        echo '<p class="error">Αυτή η σελίδα προσεγγίστηκε με λάθος τρόπο!</p>';

        exit();
    }

    if (isset($_POST['submitted'])) {
        $errors = array();

        if (empty($_POST['onoma'])) {
            $errors[] = "Ξέχασες εισάγεις το ονοματεπώνυμο του στελέχους!";
        } else {
            $onoma = mysqli_real_escape_string($dbc, trim($_POST['onoma']));
        }

        if (empty($_POST['name'])) {
            $errors[] = "Ξέχασες εισάγεις το όνομα του Σχολείου Εκπαίδευσης!";
        } else {
            $name = mysqli_real_escape_string($dbc, trim($_POST['name']));
        }
        if (empty($_POST['apo'])) {
            $errors[] = "Ξέχασες εισάγεις την ημερομηνία έναρξης του Σχολείου Εκπαίδευσης!";
        } else {
            $apo = mysqli_real_escape_string($dbc, trim($_POST['apo']));
        }
        if (empty($_POST['ews'])) {
            $errors[] = "Ξέχασες να συμπληρώσεις αν το Σχολείο Εκπαίδευσης είναι βασικό!";
        } else {
            $ews = mysqli_real_escape_string($dbc, trim($_POST['ews']));
        }
        if (empty($_POST['vathmos'])) {
            $errors[] = "Ξέχασες εισάγεις τον διοργανωτή του Σχολείου Εκπαίδευσης!";
        } else {
            $vathmos = mysqli_real_escape_string($dbc, trim($_POST['vathmos']));
        }
        
        if (empty($errors)) {
            $q = "select aa from view_sxoleia where name='$name' and aa!='$aa'";
       
            $r = @mysqli_query($dbc, $q);
           
            if (mysqli_num_rows($r) == 0) {
                $q = "update view_sxoleia v set v.name='$name',v.from='$apo',v.to='$ews',onoma='$onoma',v.vathmosapofoitisis='$vathmos' where aa='$aa' limit 1";
                $r = @mysqli_query($dbc, $q);
                if (mysqli_affected_rows($dbc) == 1) {
                    echo '<p>Τα στοιχεία του απολογισμού του Σχολείου Εκπαίδευσης τροποποιήθηκαν!</p>
                   <p><a href="sxolstel.php">Επιστροφή στον απολογισμό Σχολείων Εκπαίδευσης</a></p>';
                } else {
                    echo '<p> Δεν έγινε κάποια αλλαγή στα στοιχεία του απολογισμού!</p>
                    <p><a href="sxolstel.php">Επιστροφή στον απολογισμό Σχολείων Εκπαίδευσης</a></p>';
                }
            } else {
                echo '<p class="error">Ο απολογισμός του Σχολείο Εκπαίδευσης έχει ήδη καταγραφεί!</p>';
            }
        } else {
            echo '<p class="errors">The following error(s) occured:<br/>';
            foreach ($errors as $msg) {
                echo "-$msg<br/>\n";
            }echo 'Παρακαλώ προσπαθήστε ξανά!';
        }
    }
    $q = "select * from view_sxoleia where aa='$aa'";
    $r = @mysqli_query($dbc, $q);
    if (mysqli_num_rows($r) == 1) {
        $row = mysqli_fetch_array($r, MYSQLI_BOTH);
         require_once ('../../mysqli_connect.php');
    $o="select concat(surname,' ',name) from stelexi";
    $ro=  mysqli_query($dbc, $o);
        echo '<form action="sxolstele.php" method="post">
                <p>A/A:<input type="text" name="id" size=5 value="'.$row[0].'"/>
                Ονοματεπώνυμο:<input type="text" name="onoma" size="40" maxlength="40" value="' . $row[1] . '"/></p>
                <p> Ονομασία Σχολείου Εκπαίδευσης:<input type="text" name="name" size="60" maxlength="60" value="' . $row[2] . '"/></p>
                <p>Από:<input type="text" name="apo" size="15" maxlength="15" value="' . $row[3] . '"/></p>
                <p> Έως:<input type="text" name="ews" size="15" maxlength="15" value="' . $row[4] . '"/></p>
                <p> Βαθμολογία:<input type="text" name="vathmos" size="5" maxlength="5" value="' . $row[5] . '"/></p>    
                <p><input type="submit" name="submit" value"Υποβολή" /></p>
                <input type ="hidden" name="submitted" value="true"/>
              </form>';
    } else {
        echo'<p class="error>Αυτή η σελίδα προσεγγίστηκε με λάθος τρόπο!</p>';
    }
    mysqli_close($dbc);
    ?>  


    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
include('../../divs/footer.php');
?>